mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

A value specifies that no digit shape is substituted for the Unicode input, a digit shape is substituted based on context, or a native national digit shape is substituted for the input.

The Arabic, Indic, and Thai languages have classical shapes for numbers that are different from the digits 0 through 9 (Unicode U+0030 through U+0039), which are most often used on computers. The application uses the enumeration with the property to specify how to display digits U+0030 through U+0039 in the absence of other formatting information.

The enumeration is primarily used by applications intended for cultures that use bidirectional scripts. For example, the reading order of Arabic and Indic scripts is bidirectional.

Specifies the culture-specific display of digits.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DigitShapes

  The digit shape depends on the previous text in the same output. European digits follow Latin scripts; Arabic-Indic digits follow Arabic text; and Thai digits follow Thai text.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DigitShapes

  The digit shape is the native equivalent of the digits from 0 through 9. ASCII digits from 0 through 9 are replaced by equivalent native national digits.

- Field
  2.0.0.0
  4.0.0.0
  System.Globalization.DigitShapes

  The digit shape is not changed. Full Unicode compatibility is maintained.